VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Types | Public Member Functions | Public Attributes | List of all members
ListenerT< Context > Class Template Reference
Standalone Library

Value listener More...

`#include <valuelistener.h>`

Inheritance diagram for ListenerT< Context >:

## Public Types
using | OnBeginEditFunc = void(*)(IValue &, Context &)
using | OnEndEditFunc = void(*)(IValue &, Context &)
using | OnStateChangeFunc = void(*)(IValue &, Context &)
using | OnPerformEditFunc = void(*)(IValue &, IValue::Type, Context &)

## Public Member Functions
| ListenerT (IValue &value, Context context)
Public Member Functions inherited from ListenerBase
| ListenerBase (IValue &value)
| ~ListenerBase () noexcept override
IValue & | getValueObject () const
virtual void | onBeginEdit (IValue &value)=0
| Value begins editing. More...
virtual void | onPerformEdit (IValue &value, IValue::Type newValue)=0
| Value performed an edit. More...
virtual void | onEndEdit (IValue &value)=0
| Value ends editing. More...
virtual void | onStateChange (IValue &value)=0
| Value changed some of its state. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Public Attributes
OnBeginEditFunc | onBeginEditFunc {nullptr}
OnEndEditFunc | onEndEditFunc {nullptr}
OnStateChangeFunc | onStateChangeFunc {nullptr}
OnPerformEditFunc | onPerformEditFunc {nullptr}

## Detailed Description

template<typename Context>
class VSTGUI::Standalone::Value::ListenerT< Context >

Value listener

## Member Typedef Documentation

## ◆ OnBeginEditFunc

using OnBeginEditFunc = void(*) (IValue&, Context&)

## ◆ OnEndEditFunc

using OnEndEditFunc = void(*) (IValue&, Context&)

## ◆ OnPerformEditFunc

using OnPerformEditFunc = void(*) (IValue&, IValue::Type, Context&)

## ◆ OnStateChangeFunc

using OnStateChangeFunc = void(*) (IValue&, Context&)

## Constructor & Destructor Documentation

## ◆ ListenerT()

ListenerT | ( | IValue & | value,
|  | Context | context
| ) |  |
| inline

## Member Data Documentation

## ◆ onBeginEditFunc

OnBeginEditFunc onBeginEditFunc {nullptr}

## ◆ onEndEditFunc

OnEndEditFunc onEndEditFunc {nullptr}

## ◆ onPerformEditFunc

OnPerformEditFunc onPerformEditFunc {nullptr}

## ◆ onStateChangeFunc

OnStateChangeFunc onStateChangeFunc {nullptr}

The documentation for this class was generated from the following file:

- valuelistener.h